<header>
    <h1>Twatter</h1>
</header>
<main>
    <div>
        <h2>create new post</h2>
        <form action="/post/create" method="post" enctype="multipart/form-data">
            <label for="name">
                name
                <input type="text" name="name" id="name">
            </label>
            <label for="content">
                content
                <textarea name="content" id="content"></textarea>
            </label>
            <input type="submit" value="Submit">
        </form>
    </div>

    <div>
        <?php foreach ($posts as $post) { ?>
            <div class="post">
                <p class="name"><?= $post["name"] ?></p>
                <p class="content"><?= $post["content"] ?></p>
                <div class="like">
                    <p><?= $post["likes"] ?></p>
                    <a class="like-button" href="/post/like/<?= $post["id"] ?>"><button>like</button></a>
                </div>

                <?php if ($post["id"] == $commentId) { ?>
                    <form action="/comment/create/<?= $post["id"] ?>" method="post" enctype="multipart/form-data">
                        <label for="name">
                            name
                            <input type="text" name="name" id="name">
                        </label>
                        <label for="content">
                            content
                            <textarea name="content" id="content"></textarea>
                        </label>
                        <input type="submit" value="Submit">
                    </form>

                <?php } else { ?>
                    <form action="/home" method="post" enctype="multipart/form-data">
                        <button class="comment-button" type="submit" name="comment" value="<?= $post["id"] ?>">Comment</button>
                    </form>
                <?php } ?>

                <?php if (isset($post['comment'])) {
                    foreach ($post["comment"] as $comment) { ?>
                        <div class="comment">
                            <p class="name"><?= $comment["name"] ?></p>
                            <p class="content"><?= $comment["content"] ?></p>
                            <div class="like">
                                <p><?= $comment["likes"] ?></p>
                                <a class="like-button" href="/comment/like/<?= $comment["id"] ?>"><button>like</button></a>
                            </div>

                        </div>
                <?php }
                } ?>

            </div>
        <?php } ?>
    </div>
</main>